# __gnu_cxx::typelist Namespace Reference

## Detailed Description

GNU typelist extensions for public compile-time use.

## Classes

- struct append
- struct append_typelist
- struct at_index
- struct chain
- struct contains
- struct create1
- struct create2
- struct create3
- struct create4
- struct create5
- struct create6
- struct filter
- struct flatten
- struct from_first
- struct node
- struct null_type
- struct transform

## Namespaces

- namespace detail

## Functions

- template<typename Fn, class Typelist> void apply (Fn &, Typelist)